Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Slots | Protected Attributes
ChooseFileNameDialog Class Reference
Tulip_Widgets

`#include <PropertyWidget.h>`

List of all members.

## Public Member Functions

- ChooseFileNameDialog (const QString &filter, QWidget *parent=NULL)
- ChooseFileNameDialog (const QString &filter, const QString &basePath, QWidget *parent=NULL)
- QString getText ()

## Protected Slots

- void openFile ()

## Protected Attributes

- QString filter
- QString basePath

## Constructor & Destructor Documentation

ChooseFileNameDialog::ChooseFileNameDialog | ( | const QString & | filter,
|  | QWidget * | parent = `NULL`
| ) |  | `[inline]`

ChooseFileNameDialog::ChooseFileNameDialog | ( | const QString & | filter,
|  | const QString & | basePath,
|  | QWidget * | parent = `NULL`
| ) |  | `[inline]`

## Member Function Documentation

QString ChooseFileNameDialog::getText | ( |  | ) | `[inline]`

void ChooseFileNameDialog::openFile | ( |  | ) | `[inline, protected, slot]`

## Member Data Documentation

QString ChooseFileNameDialog::basePath`[protected]`

QString ChooseFileNameDialog::filter`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012